> ## Documentation Index
> Fetch the complete documentation index at: https://omniflow-vpn.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1adminmaintenance



## OpenAPI

````yaml https://raw.githubusercontent.com/kewldan/omniflow/main/api/openapi.yaml get /v1/admin/maintenance
openapi: 3.0.3
info:
  title: Omniflow API
  version: 1.0.0
  description: >-
    Customer, commerce, payment, wallet, fulfillment, and operations API for
    Omniflow.
servers: []
security: []
paths:
  /v1/admin/maintenance:
    get:
      tags:
        - operations
      operationId: getMaintenance
      responses:
        '200':
          description: Current maintenance state
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Maintenance'
        '500':
          $ref: '#/components/responses/Problem'
      security:
        - operatorToken: []
components:
  schemas:
    Maintenance:
      type: object
      required:
        - active
        - source
        - reason
      properties:
        active:
          type: boolean
        source:
          type: string
          enum:
            - manual
            - remnawave
            - database
            - valkey
        reason:
          type: string
        noticeRu:
          type: string
        noticeEn:
          type: string
        activatedAt:
          type: string
          format: date-time
        expectedReturnAt:
          type: string
          format: date-time
    Problem:
      type: object
      required:
        - type
        - title
        - status
      properties:
        type:
          type: string
          format: uri
        title:
          type: string
        status:
          type: integer
        detail:
          type: string
        request_id:
          type: string
  responses:
    Problem:
      description: Request failed
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'
  securitySchemes:
    operatorToken:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.